메인 콘텐츠로 건너뛰기
GET
/
v2
/
dex
DEX - 목록
curl --request GET \
  --url https://api.chainstream.io/v2/dex \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/dex"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/dex', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "chain": "sol",
      "image": "https://example.com/dex-logo.png",
      "programAddress": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc",
      "protocolName": "<string>"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0=",
  "total": 564094
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

쿼리 매개변수

cursor
string

페이지네이션 커서

limit
integer<int64>
기본값:20

페이지당 결과 수

direction
enum<string>
기본값:next

페이지네이션 방향 (next 또는 prev) Pagination direction

사용 가능한 옵션:
next,
prev
chains
string[]

블록체인 네트워크별 필터링

dexProgram
string

DEX 프로그램 주소별 필터링

응답

200 - application/json

성공 응답

Generic pagination response

data
object[]
필수

Page data

endCursor
string | null

Cursor for the end of current page

예시:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

예시:

false

hasPrev
boolean

Whether there is a previous page

예시:

false

startCursor
string | null

Cursor for the start of current page

예시:

"eyJpZCI6InN0YXJ0In0="

total
integer<int64> | null

Total number of items matching the query (not just the current page). When None, the caller should treat it as unknown (backward-compatible).

예시:

564094